Bug 268974 - NoSuchMethodException: org.netbeans.modules.debugger.jpda.EditorContextBridge$CompoundContextProvider.interpretOrCompileCode(java.lang.String, java.lang.String, int, com.sun.source.util.TreePathScanne
NoSuchMethodException: org.netbeans.modules.debugger.jpda.EditorContextBridge...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-14 13:28 UTC by Exceptions Reporter
Modified: 2017-01-10 06:00 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.68 KB, text/plain)
2016-11-14 13:28 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2016-11-14 13:28:47 UTC
This bug was originally marked as duplicate of bug 267933, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 8.2 (Build 201609300101)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.45-b02, Java(TM) SE Runtime Environment, 1.8.0_45-b14
OS: Mac OS X

User Comments:
GUEST: j

GUEST: exception raised while trying to debug a maven project

mkhramov: Debug java project

GUEST: Just hovered over a variable during debugging

emiddio: debugging

GUEST: While debugging through Java source code




Stacktrace: 
java.lang.NoSuchMethodException: org.netbeans.modules.debugger.jpda.EditorContextBridge$CompoundContextProvider.interpretOrCompileCode(java.lang.String, java.lang.String, int, com.sun.source.util.TreePathScanner, com.sun.source.util.TreePathScanner, java.lang.Object, boolean, java.util.function.Function, org.netbeans.spi.debugger.jpda.SourcePathProvider)
   at java.lang.Class.getMethod(Class.java:1786)
   at org.netbeans.modules.debugger.jpda.EditorContextBridge.interpretOrCompileCode(EditorContextBridge.java:159)
   at org.netbeans.modules.debugger.jpda.expr.TreeEvaluator.evaluate(TreeEvaluator.java:199)
   at org.netbeans.modules.debugger.jpda.JavaEvaluator.evaluateIn(JavaEvaluator.java:162)
   at org.netbeans.modules.debugger.jpda.JavaEvaluator.evaluate(JavaEvaluator.java:107)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorExpression$AssociatedExpression.evaluate(EvaluatorExpression.java:90)
Comment 1 Exceptions Reporter 2016-11-14 13:28:49 UTC
Created attachment 162907 [details]
stacktrace
Comment 2 Martin Entlicher 2016-11-15 13:12:51 UTC
Fixed by http://hg.netbeans.org/core-main/rev/fe0dcf0e3c76
We add this into the APIs after the contract stabilizes.
Comment 3 Quality Engineering 2016-11-17 02:49:59 UTC
Integrated into 'main-silver', will be available in build *201611170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fe0dcf0e3c76
User: mentlicher@netbeans.org
Log: #268974: interpretOrCompileCode() method added into CompoundContextProvider.
Old and unused parseExpression() method is removed.
Comment 4 Martin Entlicher 2016-12-09 10:22:51 UTC
Transplanted to release82:
http://hg.netbeans.org/releases/rev/966464f9a7cb
Comment 5 emiddio 2016-12-14 20:23:17 UTC
I received email asking me to verify this bug fixed for the upcoming nb8.2.1 patch.

I have installed jdk112, and the patch update to my nb8.2; have been debugging for a day+ now and no issues seen. No way prove issue is fixed.
Comment 6 Jiri Kovalsky 2016-12-14 22:46:26 UTC
Verified based on feedback from Gary Bello - one of the reporters. Thanks Gary!
Comment 7 rifki_razick 2017-01-10 06:00:38 UTC
It seems like this fix is still not available in the MVN repo for RELEASE82?
http://bits.netbeans.org/


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo